# Nerd web interface

Nerd is a web interface for managing extensions.

Source code: <https://github.com/dect-e/nerd/>

## Sync extensions to FieldPOC

Nerd has an HTTP endpoint generation a FieldPOC compatible extensions file.

You can adopt the follwing NixOS configuration snipped.
It downloads the JSON file, copies it to the location FieldPOC expects the extensions and reload FieldPOC.

```
systemd.services.fieldpoc-nerd = {
wantedBy = ["multi-user.target"];
startAt = "*-*-* *:*:00";
script = ''
  ${pkgs.curl}/bin/curl https://nerd.example.com/export.json\?event=1 > /etc/fieldpoc/extensions.json

  ${pkgs.curl}/bin/curl --json '{}' http://127.0.0.1:9437/reload
'';
};
```
